Subject: Re: Up-to-date info on '-mno-cygwin' vs. Mingw32
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Sat, 1 Sep 2001 19:08:24 -0800

On 31 Aug 2001 at 8:50, the Illustrious Jesper Eskilson wrote:

> 
> "Larry Hall (RFK Partners, Inc)" <[email-masked]> writes:
> 
> > The difference is in the build environment, not the result.  
> 
> According to the FAQ, support for the -mno-cygwin flag "has been weak
> and flaky, [...] and maintenance of the option has *not* been a priority
> in development",

	This is clearly wrong.  What might be more accurate is that very few people involved with 
Cygwin have much desire to support -mno-cygwin switch useage, even though many people use 
the -mno-cygwin switch.

	Also, will someone correct me if I am wrong?  If I remember correctly, the Cygwin 
repository is updated fairly regularly with the latest Mingw release, specifically to facilitate the -
mno-cygwin switch.

> and the FAQ recommends that one uses a separate MingW
> compiler set. Is this accurate?

	It is recommended that use Mingw as a standalone tool because of the nature of Mingw 
(see http://www.mingw.org for more on this) being created as a "native" windows development 
tool.  If you don't know what a "native" windows development tool is then you may want to find out 
_before_ you start using -mno-cygwin under Cygwin.

	If you're not concerned about "native" windows development, then Cygwin is (without the -
mno-cygwin switch), far and away, the best choice when it comes to general porting of formerly 
Unix or Linux source code to be built within a Windows (Win32api not withstanding) Environment.
	Cygwin is also extremely friendly to former or current Unix developers (thus the reason 
why some say, with good reason I might add, that Cygwin is a "rich development environment").

	As to a separate MingW compiler set, there is no such thing.  The latest release of Mingw 
includes gcc-2.95.3 as one of its' compilers.

	Paul G.

> 
> /Jesper
> -- 
> ------------------------------------------------------------------------
> - Jesper Eskilson                                    [email-masked]
> Virtutech                                    http://www.virtutech.se
> ------------------------------------------------------------------------
> -
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/